Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QMouseDriverPlugin Class Reference

The QMouseDriverPlugin class is an abstract base class for mouse driver plugins in Qt for Embedded Linux. More...

     #include <QMouseDriverPlugin>

Inherits: QObject.

- List of all members, including inherited members

## Public Functions

| QMouseDriverPlugin ( QObject * parent = 0 )
| ~QMouseDriverPlugin ()

## Reimplemented Public Functions

virtual QWSMouseHandler * | create ( const QString & key, const QString & device ) = 0
virtual QStringList | keys () const = 0

- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 7 static public members inherited from QObject
- 8 protected functions inherited from QObject

## Detailed Description

The QMouseDriverPlugin class is an abstract base class for mouse driver plugins in Qt for Embedded Linux.

Note that this class is only available in Qt for Embedded Linux.

Qt for Embedded Linux provides ready-made drivers for several mouse protocols, see the pointer handling documentation for details. Custom mouse drivers can be implemented by subclassing the QWSMouseHandler class and creating a mouse driver plugin.

A mouse driver plugin can be created by subclassing QMouseDriverPlugin and reimplementing the pure virtual keys() and create() functions. By exporting the derived class using the Q_EXPORT_PLUGIN2() macro, The default implementation of the QMouseDriverFactory class will automatically detect the plugin and load the driver into the server application at run-time. See How to Create Qt Plugins for details.

See also QWSMouseHandler and QMouseDriverFactory.

## Member Function Documentation

### QMouseDriverPlugin::QMouseDriverPlugin ( QObject * parent = 0 )

Constructs a mouse driver plugin with the given parent.

Note that this constructor is invoked automatically by the Q_EXPORT_PLUGIN2() macro, so there is no need for calling it explicitly.

### QMouseDriverPlugin::~QMouseDriverPlugin ()

Destroys the mouse driver plugin.

Note that Qt destroys a plugin automatically when it is no longer used, so there is no need for calling the destructor explicitly.

### QWSMouseHandler * QMouseDriverPlugin::create ( const QString & key, const QString & device )`[pure virtual]`

Implement this function to create a driver matching the type specified by the given key and device parameters. Note that keys are case-insensitive.

See also keys().

### QStringList QMouseDriverPlugin::keys () const`[pure virtual]`

Implement this function to return the list of valid keys, i.e. the mouse drivers supported by this plugin.

Qt for Embedded Linux provides ready-made drivers for several mouse protocols, see the pointer handling documentation for details.

See also create().